API referenceWebhook endpoints
Delete a webhook endpoint
Authorization
AuthorizationRequiredBearer <token>Send your API key in the Authorization header on every request:
Authorization: Bearer sk_live_.... Keys are created in the admin UI under
Settings → API Keys and are project-scoped.
In: header
Path Parameters
idRequiredstringResponse Body
Deleted.
TypeScript Definitions
Use the response body type in TypeScript.
idstringdeletedbooleanResource not found.
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X DELETE "https://app.meetdolores.ai/v1/webhook_endpoints/string" \
-H "Authorization: Bearer <token>"fetch("https://app.meetdolores.ai/v1/webhook_endpoints/string", {
headers: {
"Authorization": "Bearer <token>"
}
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://app.meetdolores.ai/v1/webhook_endpoints/string"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://app.meetdolores.ai/v1/webhook_endpoints/string"
response = requests.request("DELETE", url, headers = {
"Authorization": "Bearer <token>"
})
print(response.text)require 'net/http'
require 'json'
require 'uri'
uri = URI('https://app.meetdolores.ai/v1/webhook_endpoints/whk_01HXY...')
req = Net::HTTP::Delete.new(uri, {
'Authorization' => "Bearer #{ENV['DOLORES_API_KEY']}",
})
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body<?php
$ch = curl_init('https://app.meetdolores.ai/v1/webhook_endpoints/whk_01HXY...');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('DOLORES_API_KEY'),
],
]);
echo curl_exec($ch);{
"id": "string",
"deleted": true
}{
"error": {
"type": "invalid_request_error",
"code": "phone_invalid_format",
"message": "string",
"param": "string",
"request_id": "string"
}
}